@import '../../styles/variables'
@import '../../styles/mixins'

.card
    flex 0 0 auto
    width 100%
    mt($sp--double)

    display flex
    flex-direction column
    +above(4)
        flex-direction row

    &::before
        content ''
        display block
        pos-a()
        z-index -1
        width 88%
        +above(4)
            width 60%
        background-color $cl--gray

    &__inner
    &__image
        flex 0 1 auto
        +above(4)
            flex 0 0 49%

    &__title
    &__description
        padding-left $sp
        padding-right $sp
        +above(4)
            padding-right 0

    &__title
        pos-r()
        margin-top $sp--double
        width 100%
        z-index 200
        color $cl--off
        font-family $ff--body
        font-weight normal
        text-transform uppercase
        font-size $fz--base
        +above(2)
            font-size $fz--base * $ratio
        +above(4)
            font-size $fz--base * $ratio ** 2

        &::before
            content ""
            pos-a()
            z-index -1
            width 95%
            left 0
            top -($sp--sixth)
            height ($sp * 1.1)
            +above(2)
                height ($sp * 1.25)
            +above(4)
                height $sp--plus-half
            background-color $cl--bg

    &__description
        margin-top $sp
        +above(4)
            font-size 120%
